"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HALogger {
    setLogger(log, debugMode) {
        this.log = log;
        this.debugMode = debugMode;
    }
    debug(message, data) {
        if (!this.debugMode)
            return;
        let result = message;
        if (data) {
            result += `: ${JSON.stringify(data)}`;
        }
        this.log(result);
    }
}
exports.Logger = new HALogger();
//# sourceMappingURL=HSLogger.js.map