"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Deferred {
    constructor() {
        this.promise = new Promise((resolve, reject) => {
            this.resolveSelf = resolve;
            this.rejectSelf = reject;
        });
    }
    then(onfulfilled, onrejected) {
        return this.promise.then(onfulfilled, onrejected);
    }
    catch(onrejected) {
        return this.promise.then(onrejected);
    }
    resolve(val) { this.resolveSelf(val); }
    reject(reason) { this.rejectSelf(reason); }
}
exports.Deferred = Deferred;
//# sourceMappingURL=Deferred.js.map